      SUBROUTINE LINEIN
C
      IMPLICIT LOGICAL*1 (B)
      DOUBLE PRECISION SYMBOL
      COMMON/PARAMS/LUNIN,LUNOUT,LUNCMD,BTAB,BSPC,NLINE,NSTMT,
     1ICLASS,BCHR,BLST,JSYM(2),NSYMTP,IPARNS,NPAGE
      COMMON /INBUFR/INSIZ,INCNT,IOUTX,MCRSIZ,INFIL,IOUTFL,
     1BDPB(2),BUFR(80),BNAM(24),BTIME(8),BDATE(9),BX(1)
      COMMON NSYM,NELM,KLIM,SYMBOL(1000)
C
    5 INCNT=0  !ASSUME END-OF-FILE
      READ (LUNIN,100,END=20)INCNT,BUFR
  100 FORMAT(Q,80A1)
	IF(INCNT.GT.INSIZ)INCNT=INSIZ
      NLINE=NLINE+1
      DO 10 I=1,INCNT
      IF (BUFR(I).NE.32) GO TO 20
   10 CONTINUE
      GO TO 5
   20 RETURN
      END
